Package com.avaya.sonic

## Class SonicLibrary

- java.lang.Object
- - com.avaya.sonic.SonicLibrary

-     public class SonicLibrary
      extends java.lang.Object

  Utility library capable of generating and playing sonic signals. Used by Mobile Link and Screen Link features during XT systems discovery process.

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SonicLibrary()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `GetLogLevelJNI()` |
    `SonicResult` | `PlaySonicSignal​(java.lang.String sIPAddress)` |
    `SonicResult` | `PlaySonicSignal​(java.lang.String sIPAddress, boolean bPlayInLoop)` |
    `SonicResult` | `PlaySonicSignal​(java.lang.String sIPAddress, boolean bPlayInLoop, float nVolumeLevel)` |
    `SonicResult` | `PlaySonicSignal​(java.lang.String sIPAddress, boolean bPlayInLoop, float nVolumeLevel, int nMobileLinkId)` |
    `SonicResult` | `PlaySonicSignal​(java.lang.String sIPAddress, boolean bPlayInLoop, float nVolumeLevel, int nMobileLinkId, int nPort)` |
    `SonicResult` | `PlaySonicSignal​(java.lang.String sIPAddress, boolean bPlayInLoop, int nMobileLinkId)` |
    `SonicResult` | `PlaySonicSignal​(java.lang.String sIPAddress, int nMobileLinkId)` |
    `SonicResult` | `PlaySonicSignal​(java.lang.String sIPAddress, int nMobileLinkId, int nPort)` |
    `void` | `SetLogLevelJNI​(int nLogLevel)` |
    `void` | `StopPlaySonicSignalJNI()` |
    `static void` | `TraceCallback​(java.lang.String level, java.lang.String tag, java.lang.String msg)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SonicLibrary

          public SonicLibrary()

  - ### Method Detail

    - #### StopPlaySonicSignalJNI

          public void StopPlaySonicSignalJNI()

    - #### GetLogLevelJNI

          public int GetLogLevelJNI()

    - #### SetLogLevelJNI

          public void SetLogLevelJNI​(int nLogLevel)

    - #### PlaySonicSignal

          public SonicResult PlaySonicSignal​(java.lang.String sIPAddress,
                                             boolean bPlayInLoop,
                                             float nVolumeLevel,
                                             int nMobileLinkId,
                                             int nPort)

    - #### PlaySonicSignal

          public SonicResult PlaySonicSignal​(java.lang.String sIPAddress,
                                             int nMobileLinkId,
                                             int nPort)

    - #### PlaySonicSignal

          public SonicResult PlaySonicSignal​(java.lang.String sIPAddress,
                                             int nMobileLinkId)

    - #### PlaySonicSignal

          public SonicResult PlaySonicSignal​(java.lang.String sIPAddress)

    - #### PlaySonicSignal

          public SonicResult PlaySonicSignal​(java.lang.String sIPAddress,
                                             boolean bPlayInLoop,
                                             float nVolumeLevel,
                                             int nMobileLinkId)

    - #### PlaySonicSignal

          public SonicResult PlaySonicSignal​(java.lang.String sIPAddress,
                                             boolean bPlayInLoop,
                                             int nMobileLinkId)

    - #### PlaySonicSignal

          public SonicResult PlaySonicSignal​(java.lang.String sIPAddress,
                                             boolean bPlayInLoop,
                                             float nVolumeLevel)

    - #### PlaySonicSignal

          public SonicResult PlaySonicSignal​(java.lang.String sIPAddress,
                                             boolean bPlayInLoop)

    - #### TraceCallback

          public static void TraceCallback​(java.lang.String level,
                                           java.lang.String tag,
                                           java.lang.String msg)